#include <iostream>
#include <unordered_set>

using namespace std;

int main() {
	/* Множества
	Синтаксис: 
	set<тип> имя = {n1, n2, n3...};
	*/
	unordered_set<int> mySet = {1, 3, 5, 78, 90};
	unordered_set<int> mySet2 = {4, 9};

	// Преобразование массива в множество:
	char myChArr[] = {"aaabbbccc"};
	unordered_set<char> mySet3 = unordered_set<char>(begin(myChArr), end(myChArr));

	cout << "Длина множества: " << mySet3.size() << endl;
	cout << "Элементы множества:" << endl;
	for (auto iter = mySet3.begin(); iter != mySet3.end(); iter++) {
		cout << *iter << endl;
	}

	// Преобразование строки в множество:
	string myStr = "zfx";
	mySet3 = unordered_set<char>(begin(myStr), end(myStr));

	cout << "Длина множества: " << mySet3.size() << endl;
	cout << "Элементы множества:" << endl;
	for (auto iter = mySet3.begin(); iter != mySet3.end(); iter++) {
		cout << *iter << endl;
	}

	return 0;
}